/*****************************************************************
 * Tool: SEAT - Software Exploration and Analysis Tool			 *
 *																 *
 * Class: Removal.java									 	     *	
 * Package: algorithms										     *
 *																 *
 * @author: Abdelwahab Hamou-Lhadj								 *
 *																 *	
 * Affiliation: Knowledge Based Reverse Engineering Group		 *
 *				SITE - University of Ottawa						 *
 *																 *
 * @version: 1.0 - July 2003									 *
 * 																 *
 * Modifications: 												 *
 * (please add date of modifications and author after this line) *	
 *																 *
 *****************************************************************/
 
package seat.model.algorithms;

import seat.model.core.dynamic.Node;

public abstract class Removal extends TreeBasedAlgorithm
{
  /** Creates an object of Removal
   * 
   * @param trace tree based trace to be processed
   *
   */
    
  /** Removes specified nodes from the traces. This method needs to be overriden
   *
   * @param args possible arguments
   *
   */
    
  public abstract void process(Node node);
  
}