/*****************************************************************
 * Tool: SEAT - Software Exploration and Analysis Tool			 *
 *																 *
 * Class: ControlNode.java									     *	
 * Package: core.dynamic										 *
 *																 *
 * @author: Abdelwahab Hamou-Lhadj								 *
 *																 *	
 * Affiliation: Knowledge Based Reverse Engineering Group		 *
 *				SITE - University of Ottawa						 *
 *																 *
 * @version: 1.0 - July 2003									 *
 * 																 *
 * Modifications: 												 *
 * (please add date of modifications and author after this line) *	
 *																 *
 *****************************************************************/

package seat.model.core.dynamic;

public class ControlNode extends Node
{
  private String label; // Node label	
  
  /** Creates a control node by sepecifying the label
   *
   * @param label label of this node
   */
  
  public ControlNode(String label)
  {
 	 this.label = label;
  }
  
  /** Returns the node label. 
   *
   * @return the node label
   */
   
  public String getLabel()
  {
  	 return label;
  }
}