/*
 * Created on Mar 17, 2004
 *
 * This interface is used to for implemtatino of dynamic tree loading techniques
 * The most important one is the getTree() method which 
 * returns the tree(Actally the root node) which is dynamically created. The tree is actually 
 * the subtree from model graph, it will work as the source of UI Tree(TreeObject).
 * Other methods are framework methods, which will be caleld internally to get related
 * data to set UITree to the desired states. 
 * 
 */
package seat.ui.tree.partial;



/**
 * @author lfu
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public interface IDynamicTree {
	public UniquePath getPreviousTree(UniquePath currentNode,boolean force);
	public UniquePath getNextTree(UniquePath currentNode,boolean force);
	public UniquePath getPreviousTree(UniquePath currentNode,int offset,boolean force);
	public UniquePath getNextTree(UniquePath currentNode,int offset,boolean force);
	public void setTreeSize(int sizeToBeRetrieved);
}
