/*****************************************************************
 * Tool: SEAT - Software Exploration and Analysis Tool			 *
 *																 *
 * Class: Type.java										 	     *	
 *																 *
 * Author: Abdelwahab Hamou-Lhadj								 *
 *																 *	
 * Affiliation: Knowledge Based Reverse Engineering Group		 *
 *				SITE - University of Ottawa						 *
 *																 *
 * Version: 1.0 - July 2003										 *
 * 																 *
 * Modifications: 												 *
 * (please add date of modifications and author after this line) *	
 *																 *
 *****************************************************************/
 
package seat.model.core.structure;

public abstract class Type extends StructuralElement
{
  /** Constructor of the abstract class Type
   * 
   * @param pck logical package that contains this type.
   * @param name name of the type 
   *
   */
  
  public Type(SoftwareSystem sys, LogicalPackage pck, String name)
  { 	
 	super(sys, pck, name);
  }
}
