/*
 * Created on May 4, 2004
 *
 * Interface methods that all algorithms must follow
 *  */
package seat.ui.algorithm;

import seat.model.core.dynamic.Trace;

/**
 * @author lfu
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public interface IAlgorithm {
	public void init(Parameter[] parameters);
	public void apply(Trace trace);  // run algorithm to compress
	public void undo(Trace trace);   // revoke compression
}
