/*
 * Created on May 7, 2004
 * 
 * Basic class used to init with a PartialTreeViewer.
 * All listener should inherit this class. 
 */
package seat.ui.tree.partial;

import seat.ui.tree.ITraceTree;
import seat.ui.tree.ITraceViewer;

/**
 */
public class TreeListener {
	ITraceViewer treeViewer; // primary control for the event
	ITraceTree partialTree;

	/**
	 * 
	 */
	public TreeListener(ITraceViewer treeViewer) {
		this.treeViewer=treeViewer;
		this.partialTree=treeViewer.getTraceTree();
	}

}
